<div class="play-page">
  <ng-container *ngIf="!quizDone">
    <div
      style="margin: 0"
      [ngClass]="width > 425 ? 'mat-display-4' : 'mat-display-3'"
    >
      {{ timer }}
    </div>
    <ng-container *ngFor="let question of questions">
      <ng-container *ngIf="question.isActive && !question.playerAnswer">
        <div
          class="question mat-elevation-z8"
          [ngClass]="width > 425 ? 'mat-headline' : 'mat-subheading-2'"
        >
          <div class="mat-caption">
            <strong>{{ question.category }} </strong>| Difficulty:
            <strong>{{ question.difficulty }}</strong>
          </div>
          <span [innerHTML]="question.question"></span>
        </div>

        <div class="options">
          <ng-container *ngFor="let option of question.options; let i = index">
            <button
              mat-stroked-button
              (click)="playerAnswered(option, question)"
            >
              <span [innerHTML]="optionsLetter[i] + '. ' + option"></span>
            </button>
          </ng-container>
        </div>
      </ng-container>
    </ng-container>
  </ng-container>

  <ng-container *ngIf="quizDone">
    <h1>Here is your result, {{ name }}.</h1>
    <h2><span [innerHTML]="fullScoreText"></span></h2>
    <button [routerLink]="['/']" mat-raised-button color="accent">
      PLAY AGAIN.
    </button>
    <ng-container *ngFor="let question of questions">
      <ng-container *ngIf="quizDone && question">
        <div
          class="question mat-headline mat-elevation-z8"
          [ngClass]="width > 425 ? 'mat-headline' : 'mat-subheading-2'"
          [innerHTML]="question.question"
        ></div>
        <div class="options">
          <ng-container *ngFor="let option of question.options; let i = index">
            <button
              mat-stroked-button
              [ngClass]="
                question.playerAnswer === option
                  ? question.playerIsCorrect
                    ? 'right-answer'
                    : 'wrong-answer'
                  : !question.playerAnswer && question.correct_answer === option
                  ? 'no-answer'
                  : question.correct_answer === option
                  ? 'right-answer'
                  : ''
              "
            >
              <span [innerHTML]="optionsLetter[i] + '. ' + option"></span>
            </button>
          </ng-container>
        </div>
      </ng-container>
    </ng-container>
    <button
      class="bottom-play-again"
      [routerLink]="['/']"
      mat-raised-button
      color="accent"
    >
      PLAY AGAIN.
    </button>
  </ng-container>
</div>
